Subject: bug#10230: 24.0.92; Warnings on emacs startup

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 06 Dec 2011 14:26:57 +0100

"Jan D." <[email-masked]> writes:

> thierry skrev 2011-12-06 10:28:
>> Hi all,
>> I have tried building emacs like this:
>>
>> "./configure --with-x-toolkit=lucid --without-rsvg --without-gconf --with-wide-int"
>>
>> Emacs works fine except I have these warning messages on startup when
>> starting from command line:
>>
>> --8<---------------cut here---------------start------------->8---
>> (process:22974): GLib-GObject-CRITICAL **: /build/buildd/glib2.0-2.30.0/./gobject/gtype.c:2708: You forgot to call g_type_init()
>>
>> (process:22974): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
>>
>> (process:22974): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
>> --8<---------------cut here---------------end--------------->8---
>>
>
> What libraries are linked to your Emacs?  Can you send the output of ldd?
> Also if you can start the debugger and put breakpoints for g_log and
> g_logv and then post the backtrace when the breakpoint is hit, that
> would  be nice.  We can then see exactly what library is causing these
> messages.  Previously Emacs tried to call g_type_init as needed but as
> new libraryes that use glib was added (like dbus for example), this
> wasn't kept up to date.

I have rebuilded with:
configure --with-x-toolkit=lucid --with-wide-int

And the warnings disapear.

I will rebuild again with precedents settings to reproduce bug
and send you ldd output and a better backtrace.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997